BLKID(8)

NOM
blkid - Trouver ou afficher les attributs de périphérique bloc

SYNOPSIS
blkid -L étiquette | -U UUID

blkid [-dghlv] [-c fichier] [-w fichier] [-o format]
[-s étiquette] [-t NOM=valeur] [périphérique ...]

blkid -p [-O décalage] [-S taille] [-o format] [-s étiquette]
[-n liste] [-u liste] périphérique ...

blkid -i [-o format] [-s étiquette] périphérique ...

DESCRIPTION
Le programme blkid est une interface en ligne de commande pour la bibliothèque libblkid(3). Il peut déterminer le type de contenu (par exemple le système de fichiers ou une partition d'échange) associé à un périphérique bloc et aussi les attributs (sous la forme de couples NOM=valeur) des métadonnées (par exemple l'étiquette LABEL ou l'UUID).

blkid a deux modes de fonctionnement : soit il recherche un périphérique avec une paire NOM=valeur donnée, soit il affiche les paires NOM=valeur pour un ou plusieurs périphériques indiqués.

OPTIONS
Les arguments taille et décalage peuvent être suivis des suffixes binaires (2^n) KiB, MiB, GiB, TiB, PiB et EiB (la partie « iB » est facultative, par exemple « K » est identique à « KiB ») ou décimaux (10^n) KB, MB, GB, PB et EB.

-c fichier
    Lire dans le fichier plutôt que dans le fichier de cache par défaut /etc/blkid.tab. Si vous souhaitez utiliser un cache vide (c'est-à-dire ne pas afficher de périphériques examinés auparavant mais qui ne seraient plus disponibles), utilisez /dev/null.

-d  Ne pas encoder les caractères non imprimables. Les caractères non imprimables sont encodés par les notations ^ et M- par défaut. Remarquez que le format de sortie -o udev utilise un encodage différent qui ne peut pas être désactivé.

-g  Lancer le ramasse-miettes sur le tampon blkid pour supprimer les périphériques qui n'existent plus.

-h  Afficher l'aide sur l'utilisation, puis quitter.

-i  Afficher les renseignements de limites (topologie) d'E/S. Le format de sortie export est automatiquement activé. Cette option peut être utilisée avec l'option -p.

-l  Ne rechercher qu'un seul périphérique qui correspond au paramètre de recherche indiqué par l'option -t. Rechercher un périphérique qui correspond à la recherche demandée par l'option -t. Si plusieurs périphériques correspondent, le périphérique de priorité la plus haute sera affiché, ou le premier périphérique avec la priorité voulue. Voici les types de périphériques par priorité décroissante : Device Mapper, EVMS, LVM, MD puis les périphériques bloc classiques. Si cette option n'est pas utilisée, blkid affichera tous les périphériques qui correspondent à la recherche.

-k  Afficher tous les systèmes de fichiers et RAID connus et quitter.

-L étiquette
    Rechercher le périphérique qui utilise cette étiquette (équivalent à : -l -o device -t LABEL=étiquette). Cette méthode de recherche est capable d'utiliser de manière fiable les liens symboliques udev du type /dev/disk/by-label (suivant une configuration définie dans /etc/blkid.conf). Évitez d'utiliser directement les liens symboliques car il n'est pas sûr de les utiliser sans vérification. L'option -L fonctionne sur des systèmes avec ou sans udev.

    Malheureusement, le blkid(8) d'origine d'e2fsprogs utilise l'option -L comme synonyme de l'option -o list. Pour assurer la portabilité, l'utilisation de -l -o device -t LABEL=étiquette et -o list est à préférer dans les scripts à l'option -L.

-n liste
    Restreindre les fonctions de détection à la liste séparée par des virgules de types (noms) de superblocs. Les types peuvent être préfixés dans la liste par no pour signifier qu'ils doivent être ignorés. Par exemple :

      blkid -p -n vfat,ext3,ext4 /dev/sda1

    détecte les systèmes de fichiers VFAT, ext3 et ext4, et

      blkid -p -n nominix /dev/sda1

    détecte tous les formats gérés sauf les systèmes de fichiers MINIX. Cette option n'est utile qu'avec l'option -p.

-o format
    Afficher la sortie de blkid selon le format indiqué. Les formats gérés sont :

    full
        Afficher toutes les balises (option par défaut).

    value
        Afficher la valeur des balises.

    list
        Afficher les périphériques dans un format agréable, ce format d'affichage n'est pas pris en charge en détection bas niveau (-p ou -i).

    device
        Afficher seulement le nom de périphérique, ce format d'affichage est toujours activé pour les options -L et -U.

    udev
        Afficher les couples de clef="valeur" pour les importer facilement dans un environnement udev. Les clefs sont précédées des préfixes ID_FS_ ou ID_PART_.

        La sortie udev renvoie l'étiquette ID_FS_AMBIVALENT si plusieurs superblocs sont détectés, et des étiquettes ID_PART_ENTRY_* sont toujours renvoyées pour toutes les partitions, y compris les partitions vides.

    export
        Afficher les couples de clef=valeur pour les importer facilement dans l'environnement. Ce format de sortie est automatiquement activé quand les limites d'E/S (option -i) sont demandées.

-O décalage
    Détecter au décalage donné (seulement utile avec -p). Cette option peut être utilisée avec l'option -i.

-p  Passer en mode de détection bas niveau de superbloc (sans utiliser le tampon).

    Remarquez que la détection bas niveau renvoie aussi des renseignements sur le type de table de partitions (étiquette PTTYPE) et les partitions (étiquettes PART_ENTRY_*).

-s étiquette
    Pour chaque périphérique indiqué, n'afficher que les étiquettes qui correspondent à étiquette. L'option -s peut être indiquée plusieurs fois. Si aucune étiquette n'est indiquée, toutes les marques sont affichées pour tous les périphériques indiqués. Pour ne faire que rafraîchir le cache sans afficher de marque, utilisez -s none sans aucune autre option.

-S taille
    Surcharge la taille du périphérique/fichier (seulement utile avec -p).

-t NOM=valeur
    Rechercher les périphériques bloc qui possèdent des marques nommées NOM et qui ont pour valeur valeur, puis afficher les périphériques trouvés. Les valeurs usuelles de NOM sont TYPE, LABEL et UUID. S'il n'y a pas de périphérique précisé sur la ligne de commande, tous les périphériques bloc seront analysés ; sinon, seuls les périphériques indiqués par l'utilisateur seront étudiés.

-u liste
    Restreindre les fonctions de détection à la liste séparée par des virgules de types d'« utilisation ». Les types d'utilisation gérés sont : filesystem (système de fichiers), raid (RAID), crypto (chiffré) et other (autre). Les types d'utilisation peuvent être préfixés dans la liste par no pour signifier qu'ils doivent être ignorés. Par exemple :

      blkid -p -u filesystem,other /dev/sda1

    détecte tous les formats de systèmes de fichiers et autres (par exemple les espaces d'échange) et

      blkid -p -u noraid /dev/sda1

    détecte tous les formats gérés sauf les RAID. Cette option n'est utile qu'avec l'option -p.

-U UUID
    Rechercher un périphérique dont l'UUID est UUID. Pour plus de précisions, consultez l'option -L.

-v  Afficher le numéro de version, puis quitter.

-w fichier
    Écrire le cache de périphériques dans fichier au lieu du fichier de cache par défaut /etc/blkid.tab. Si vous ne souhaitez pas enregistrer le cache du tout, utilisez /dev/null. S'il n'est pas précisé, le fichier sera le même que celui indiqué avec l'option -c.

périphérique
    N'afficher les marques que pour le périphériques indiqué. Plusieurs paramètres périphérique peuvent être fournis sur la ligne de commande. Si aucun n'est donné, tous les périphériques indiqués dans /proc/partitions seront affichés, s'ils sont reconnus.

CODE DE RETOUR
Si la marque indiquée a été trouvée, ou si une des étiquettes des périphériques (indiqués) a été montrée, 0 est renvoyé.

Si la marque indiquée n'a pas été trouvée, ou si aucune étiquette des périphériques (indiqués) n'a pu être identifiée, un code de retour 2 est renvoyé.

Pour les erreurs d'utilisation et autres, un code de retour 4 est renvoyé.

Si un résultat de détection bas niveau ambivalent a été détecté, un code de retour 8 est renvoyé.

AUTEUR
blkid a été écrit par Andreas Dilger pour libblkid et amélioré par Theodore Ts'o et Karel Zak.

DISPONIBILITÉ
La commande blkid fait partie du paquet util-linux, elle est disponible sur <URL:ftp://ftp.kernel.org/pub/linux/utils/util-linux/>.

VOIR AUSSI
libblkid(3), findfs(8), wipefs(8)

TRADUCTION
La traduction de cette page de manuel est maintenue par les membres de la liste <debian-l10n-french AT lists DOT debian DOT org>. Veuillez signaler toute erreur de traduction par un rapport de bogue sur le paquet manpages-fr-extra.